Subject: 23.0.60; doc-view: unexpected reuse of previously scaled image

From: Markus Triska <[email-masked]>
Date: Tue, 3 Mar 2009 02:31:41 +0100 (CET)

With p.ps from:

   http://www.logic.at/prolog/p.ps

when I do:

   $ emacs -Q p.ps

and press:

   C-c C-c - - - - - - -

the image shrinks, as expected. Then, when I quit Emacs and again do:

   $ emacs -Q p.ps

followed by C-c C-c, doc-view unexpectedly shows the small version
from the previous run. When I then press "-", it "shrinks" the image
so that the result is in fact larger than the just displayed image.

In GNU Emacs 23.0.60.2 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2009-01-06 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t